#!/bin/sh
#
# test-1.sh
#
# Copyright (c) 2003 Pawel Jakub Dawidek <pjd@FreeBSD.org>
# All rights reserved.
#
# $Id: test-1.sh,v 1.1 2004/02/11 22:29:27 nick Exp $
#

base=`basename $0`
us=45
tsize=6
src=`mktemp /tmp/$base.XXXXXX` || exit 1
dst=`mktemp /tmp/$base.XXXXXX` || exit 1

dd if=/dev/random of=${src} bs=1m count=$tsize >/dev/null 2>&1

mdconfig -a -t malloc -s 1M -u $us || exit 1
mdconfig -a -t malloc -s 2M -u `expr $us + 1` || exit 1
mdconfig -a -t malloc -s 3M -u `expr $us + 2` || exit 1

gconcat create test /dev/md${us} /dev/md`expr $us + 1` /dev/md`expr $us + 2` || exit 1

dd if=${src} of=/dev/test.concat bs=1m count=$tsize >/dev/null 2>&1
dd if=/dev/test.concat of=${dst} bs=1m count=$tsize >/dev/null 2>&1

if [ `md5 -q ${src}` != `md5 -q ${dst}` ]; then
	echo "FAIL"
else
	echo "PASS"
fi

gconcat destroy test.concat
mdconfig -d -u $us
mdconfig -d -u `expr $us + 1`
mdconfig -d -u `expr $us + 2`
rm -f ${src} ${dst}
